Loading...
Searching...
No Matches
wimlib_progress_info::wimlib_progress_info_write_streams Struct Reference

Valid on the message WIMLIB_PROGRESS_MSG_WRITE_STREAMS. More...

`#include <wimlib.h>`

## Data Fields

uint64_t | total_bytes
| An upper bound on the number of bytes of file data that will be written.
uint64_t | total_streams
| An upper bound on the number of distinct file data "blobs" that will be written.
uint64_t | completed_bytes
| The number of bytes of file data that have been written so far.
uint64_t | completed_streams
| The number of distinct file data "blobs" that have been written so far.
uint32_t | num_threads
| The number of threads being used for data compression; or, if no compression is being performed, this will be 1.
int32_t | compression_type
| The compression type being used, as one of the wimlib_compression_type constants.
uint32_t | total_parts
| The number of on-disk WIM files from which file data is being exported into the output WIM file.
uint32_t | completed_parts
| This is currently broken and will always be 0.
uint64_t | completed_compressed_bytes
| Since wimlib v1.13.4: Like `completed_bytes`, but counts the compressed size.

## Detailed Description

Valid on the message WIMLIB_PROGRESS_MSG_WRITE_STREAMS.

This is the primary message for tracking the progress of writing a WIM file.

## Field Documentation

## total_bytes

uint64_t wimlib_progress_info::wimlib_progress_info_write_streams::total_bytes

An upper bound on the number of bytes of file data that will be written.

This number is the uncompressed size; the actual size may be lower due to compression. In addition, this number may decrease over time as duplicated file data is discovered.

## total_streams

uint64_t wimlib_progress_info::wimlib_progress_info_write_streams::total_streams

An upper bound on the number of distinct file data "blobs" that will be written.

This will often be similar to the "number of files", but for several reasons (hard links, named data streams, empty files, etc.) it can be different. In addition, this number may decrease over time as duplicated file data is discovered.

## completed_bytes

uint64_t wimlib_progress_info::wimlib_progress_info_write_streams::completed_bytes

The number of bytes of file data that have been written so far.

This starts at 0 and ends at `total_bytes`. This number is the uncompressed size; the actual size may be lower due to compression. See `completed_compressed_bytes` for the compressed size.

## completed_streams

uint64_t wimlib_progress_info::wimlib_progress_info_write_streams::completed_streams

The number of distinct file data "blobs" that have been written so far.

This starts at 0 and ends at `total_streams`.

## num_threads

uint32_t wimlib_progress_info::wimlib_progress_info_write_streams::num_threads

The number of threads being used for data compression; or, if no compression is being performed, this will be 1.

## compression_type

int32_t wimlib_progress_info::wimlib_progress_info_write_streams::compression_type

The compression type being used, as one of the wimlib_compression_type constants.

## total_parts

uint32_t wimlib_progress_info::wimlib_progress_info_write_streams::total_parts

The number of on-disk WIM files from which file data is being exported into the output WIM file.

This can be 0, 1, or more than 1, depending on the situation.

## completed_parts

uint32_t wimlib_progress_info::wimlib_progress_info_write_streams::completed_parts

This is currently broken and will always be 0.

## completed_compressed_bytes

uint64_t wimlib_progress_info::wimlib_progress_info_write_streams::completed_compressed_bytes

Since wimlib v1.13.4: Like `completed_bytes`, but counts the compressed size.

The documentation for this struct was generated from the following file:

- wimlib.h